Cancel a reference
curl --request POST \
--url https://api.yorlet.com/v1/references/{id}/cancel \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/references/{id}/cancel"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/references/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/references/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/references/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/references/{id}/cancel")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/references/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "reference",
"application": "<string>",
"automatic_reference": {
"enabled": true,
"last_error": "<string>",
"outcome": "<string>",
"provider_data": {
"advance_rent": {
"affordability": {
"percentage": 123,
"status": "<string>"
},
"credit_score": 123,
"notes": [
{
"created": 123,
"message": "<string>"
}
],
"progress": 123,
"sanctions_passed": true
},
"type": "advance_rent"
},
"provider": "advance_rent",
"status": "<string>"
},
"completed_at": 123,
"customer": "<string>",
"outcome": "accept",
"reference_pdf": "<string>",
"status": "pending",
"type": "customer",
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns the reference object if the cancel succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
reference The identifier of the application for the reference.
Automatic reference settings for this reference.
Show child attributes
Show child attributes
The timestamp of the reference completion.
The customer for the reference.
The outcome of the reference.
accept, consider, high_risk, null The file of the completed reference PDF.
^[a-zA-Z0-9_]+$The status of the reference.
pending, processing, complete, canceled The reference type.
customer The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
The metadata for the reference.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/references/{id}/cancel \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/references/{id}/cancel"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/references/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/references/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/references/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/references/{id}/cancel")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/references/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "reference",
"application": "<string>",
"automatic_reference": {
"enabled": true,
"last_error": "<string>",
"outcome": "<string>",
"provider_data": {
"advance_rent": {
"affordability": {
"percentage": 123,
"status": "<string>"
},
"credit_score": 123,
"notes": [
{
"created": 123,
"message": "<string>"
}
],
"progress": 123,
"sanctions_passed": true
},
"type": "advance_rent"
},
"provider": "advance_rent",
"status": "<string>"
},
"completed_at": 123,
"customer": "<string>",
"outcome": "accept",
"reference_pdf": "<string>",
"status": "pending",
"type": "customer",
"account": "<string>",
"deleted": false,
"metadata": {}
}